## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMWrapperParsedSource Class Reference

This is designed to allow a XalanTranfomer object to wrap a parsed Xerces document. More...

`#include <XercesDOMWrapperParsedSource.hpp>`

Inheritance diagram for XercesDOMWrapperParsedSource

Collaboration diagram for XercesDOMWrapperParsedSource:

List of all members.

## Public Methods

- XercesDOMWrapperParsedSource ( const DOM_Document_Type& theDocument, XercesParserLiaison& theParserLiaison, XercesDOMSupport& theDOMSupport, const XalanDOMString& theURI = XalanDOMString())
    Constructor. More...
- XercesDOMWrapperParsedSource ( const DOMDocument_Type* theDocument, XercesParserLiaison& theParserLiaison, XercesDOMSupport& theDOMSupport, const XalanDOMString& theURI = XalanDOMString())
    Constructor. More...
- virtual ~XercesDOMWrapperParsedSource ()
- virtual XalanDocument* getDocument () const
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper () const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const
    Get the URI for the parsed source, if any. More...

## Detailed Description

This is designed to allow a XalanTranfomer object to wrap a parsed Xerces document.

## Constructor & Destructor Documentation

XercesDOMWrapperParsedSource::XercesDOMWrapperParsedSource ( | const DOM_Document_Type & theDocument,
| XercesParserLiaison & theParserLiaison,
| XercesDOMSupport & theDOMSupport,
| const XalanDOMString & theURI = XalanDOMString() )

Constructor.

Parameters:

  theDocument | The Xerces document to wrap
  theParserLiaison | The XercesParserLiaison instance that will own the document.
  theDOMSupport | The XercesDOMSupport instance
  theURI | The URI of the document, if any.

Deprecated:
  This constructor is deprecated.

XercesDOMWrapperParsedSource::XercesDOMWrapperParsedSource ( | const DOMDocument_Type * theDocument,
| XercesParserLiaison & theParserLiaison,
| XercesDOMSupport & theDOMSupport,
| const XalanDOMString & theURI = XalanDOMString() )

Constructor.

Parameters:

  theDocument | The Xerces document to wrap
  theParserLiaison | The XercesParserLiaison instance that will own the document.
  theDOMSupport | The XercesDOMSupport instance
  theURI | The URI of the document, if any.

virtual XercesDOMWrapperParsedSource::~XercesDOMWrapperParsedSource ( | )`[virtual]`

## Member Function Documentation

virtual XalanParsedSourceHelper* XercesDOMWrapperParsedSource::createHelper ( | ) const`[virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Reimplemented from XalanParsedSource.

virtual XalanDocument* XercesDOMWrapperParsedSource::getDocument ( | ) const`[virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Reimplemented from XalanParsedSource.

virtual const XalanDOMString& XercesDOMWrapperParsedSource::getURI ( | ) const`[virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Reimplemented from XalanParsedSource.

The documentation for this class was generated from the following file:

- XercesDOMWrapperParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.